#include <stdio.h>

main()
{
    int z,a,b,c,d,f;
	printf("Введите число/n");	/*Задаем количество переменных */
    scanf("%d",&f);
    z=f%10; 		/*Определяем число 1го порядка*/

    f=((f-z)/10);
    a=f%10;			/*Смещаем все число вправо и определяем число 2го порядка*/

    f=((f-a)/10);
    b=f%10;			/*Смещаем все число вправо и определяем число 3го порядка */

    f=((f-b)/10);
    c=f%10;			/*Смещаем все число вправо и определяем число 4го порядка*/
    
    f=((f-c)/10);
    d=f%10;			/*Смещаем все число вправо и определяем число 5го порядка*/

    if(z==d&&a==c) /*Проверяем одинаковость числа 5го и 1го порядка, а также одинаковость 4го и 2го порядка. */
    printf("Число палиндром");
    else
    printf("Число не палиндром"); /*Выводим ответ*/

    return 0;
}